Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1059455 - nfstest_dio fails to capture all packets in vectored_io tests
Summary: nfstest_dio fails to capture all packets in vectored_io tests
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: NFStest
Version: rawhide
Hardware: Unspecified
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Steve Dickson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1059490
TreeView+ depends on / blocked
 
Reported: 2014-01-29 22:05 UTC by Jorge Mora
Modified: 2014-02-08 05:07 UTC (History)
1 user (show)

Fixed In Version: NFStest-1.0.8-0.fc19
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 1059490 (view as bug list)
Environment:
Last Closed: 2014-02-08 05:06:52 UTC


Attachments (Terms of Use)

Description Jorge Mora 2014-01-29 22:05:44 UTC
User-Agent:       Mozilla/5.0 (Macintosh; Intel Mac OS X 10.8; rv:26.0) Gecko/20100101 Firefox/26.0
Build Identifier: 

After the umount, tcpdump fails to capture all packets and some
of the vectored_io tests fails

Reproducible: Always

Steps to Reproduce:
1. Install http://www.linux-nfs.org/~mora/nfstest/releases/NFStest-1.0.7.tar.gz

2. Run:
nfstest_dio --server <server> --export /export --runtest vectored_io

3.
Actual Results:  
Some testcases fail

Expected Results:  
All testcases should pass

Comment 1 Jorge Mora 2014-01-29 22:06:30 UTC
Bug fixed in version 1.0.8:

http://www.linux-nfs.org/~mora/nfstest/releases/NFStest-1.0.8.tar.gz

Comment 2 Fedora Update System 2014-01-29 23:40:41 UTC
NFStest-1.0.8-0.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/NFStest-1.0.8-0.fc20

Comment 3 Fedora Update System 2014-01-29 23:42:16 UTC
NFStest-1.0.8-0.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/NFStest-1.0.8-0.fc19

Comment 4 Fedora Update System 2014-01-31 04:23:40 UTC
Package NFStest-1.0.8-0.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing NFStest-1.0.8-0.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-1822/NFStest-1.0.8-0.fc20
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2014-02-08 05:06:52 UTC
NFStest-1.0.8-0.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2014-02-08 05:07:03 UTC
NFStest-1.0.8-0.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.